
%global group_id  org.apache.maven.plugins

Name:             maven-jarsigner-plugin
Version:          1.2
Release:          %mkrel 5
Summary:          Signs or verifies a project artifact and attachments using jarsigner
License:          ASL 2.0
Group:            Development/Java
URL:              http://maven.apache.org/plugins/%{name}/
# http://search.maven.org/remotecontent?filepath=org/apache/maven/plugins/maven-jarsigner-plugin/1.2/maven-jarsigner-plugin-1.2-source-release.zip
Source0:          http://search.maven.org/remotecontent?filepath=org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

BuildArch:        noarch

BuildRequires:    java-devel
BuildRequires:    maven-local

Requires:         java
Requires:         maven
Requires:         plexus-utils

%description
This plugin provides the capability to sign or verify
a project artifact and attachments using jarsigner.

If you need to sign a project artifact and all attached artifacts,
just configure the sign goal appropriately in your pom.xml
for the signing to occur automatically during the package phase.

If you need to verify the signatures of a project artifact
and all attached artifacts, just configure the verify goal
appropriately in your pom.xml for the verification to occur
automatically during the verify phase.


%package javadoc
Summary:          API documentation for %{name}
Group:            Development/Java

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

%build
mvn-rpmbuild install javadoc:aggregate

%install
# jars
install -d -m 755 %{buildroot}%{_javadir}
install -p -m 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# pom
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%doc LICENSE NOTICE DEPENDENCIES
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%doc LICENSE NOTICE
%doc %{_javadocdir}/%{name}



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.2-5.mga4
+ Revision: 529440
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 dmorgan <dmorgan> 1.2-4.mga4
+ Revision: 451847
- Minor spec file changes according to the latest guidelines

* Sat Jan 12 2013 umeabot <umeabot> 1.2-3.mga3
+ Revision: 359685
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 20 2011 dmorgan <dmorgan> 1.2-2.mga2
+ Revision: 127043
- imported package maven-jarsigner-plugin


* Wed May 25 2011 Jaromir Capik <jcapik@redhat.com> - 1.2-2
- Missing runtime deps (maven, plexus-utils) added

* Wed May 18 2011 Jaromir Capik <jcapik@redhat.com> - 1.2-1
- Initial version of the package
